import { __assign, __extends } from "tslib";
import { ResourceGroupsTaggingAPIServiceException as __BaseException } from "./ResourceGroupsTaggingAPIServiceException";
export var ComplianceDetails;
(function (ComplianceDetails) {
    ComplianceDetails.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ComplianceDetails || (ComplianceDetails = {}));
var ConcurrentModificationException = (function (_super) {
    __extends(ConcurrentModificationException, _super);
    function ConcurrentModificationException(opts) {
        var _this = _super.call(this, __assign({ name: "ConcurrentModificationException", $fault: "client" }, opts)) || this;
        _this.name = "ConcurrentModificationException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, ConcurrentModificationException.prototype);
        _this.Message = opts.Message;
        return _this;
    }
    return ConcurrentModificationException;
}(__BaseException));
export { ConcurrentModificationException };
var ConstraintViolationException = (function (_super) {
    __extends(ConstraintViolationException, _super);
    function ConstraintViolationException(opts) {
        var _this = _super.call(this, __assign({ name: "ConstraintViolationException", $fault: "client" }, opts)) || this;
        _this.name = "ConstraintViolationException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, ConstraintViolationException.prototype);
        _this.Message = opts.Message;
        return _this;
    }
    return ConstraintViolationException;
}(__BaseException));
export { ConstraintViolationException };
export var DescribeReportCreationInput;
(function (DescribeReportCreationInput) {
    DescribeReportCreationInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeReportCreationInput || (DescribeReportCreationInput = {}));
export var DescribeReportCreationOutput;
(function (DescribeReportCreationOutput) {
    DescribeReportCreationOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeReportCreationOutput || (DescribeReportCreationOutput = {}));
var InternalServiceException = (function (_super) {
    __extends(InternalServiceException, _super);
    function InternalServiceException(opts) {
        var _this = _super.call(this, __assign({ name: "InternalServiceException", $fault: "server" }, opts)) || this;
        _this.name = "InternalServiceException";
        _this.$fault = "server";
        Object.setPrototypeOf(_this, InternalServiceException.prototype);
        _this.Message = opts.Message;
        return _this;
    }
    return InternalServiceException;
}(__BaseException));
export { InternalServiceException };
var InvalidParameterException = (function (_super) {
    __extends(InvalidParameterException, _super);
    function InvalidParameterException(opts) {
        var _this = _super.call(this, __assign({ name: "InvalidParameterException", $fault: "client" }, opts)) || this;
        _this.name = "InvalidParameterException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, InvalidParameterException.prototype);
        _this.Message = opts.Message;
        return _this;
    }
    return InvalidParameterException;
}(__BaseException));
export { InvalidParameterException };
var ThrottledException = (function (_super) {
    __extends(ThrottledException, _super);
    function ThrottledException(opts) {
        var _this = _super.call(this, __assign({ name: "ThrottledException", $fault: "client" }, opts)) || this;
        _this.name = "ThrottledException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, ThrottledException.prototype);
        _this.Message = opts.Message;
        return _this;
    }
    return ThrottledException;
}(__BaseException));
export { ThrottledException };
export var ErrorCode;
(function (ErrorCode) {
    ErrorCode["INTERNAL_SERVICE_EXCEPTION"] = "InternalServiceException";
    ErrorCode["INVALID_PARAMETER_EXCEPTION"] = "InvalidParameterException";
})(ErrorCode || (ErrorCode = {}));
export var FailureInfo;
(function (FailureInfo) {
    FailureInfo.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(FailureInfo || (FailureInfo = {}));
export var GroupByAttribute;
(function (GroupByAttribute) {
    GroupByAttribute["REGION"] = "REGION";
    GroupByAttribute["RESOURCE_TYPE"] = "RESOURCE_TYPE";
    GroupByAttribute["TARGET_ID"] = "TARGET_ID";
})(GroupByAttribute || (GroupByAttribute = {}));
export var GetComplianceSummaryInput;
(function (GetComplianceSummaryInput) {
    GetComplianceSummaryInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(GetComplianceSummaryInput || (GetComplianceSummaryInput = {}));
export var TargetIdType;
(function (TargetIdType) {
    TargetIdType["ACCOUNT"] = "ACCOUNT";
    TargetIdType["OU"] = "OU";
    TargetIdType["ROOT"] = "ROOT";
})(TargetIdType || (TargetIdType = {}));
export var Summary;
(function (Summary) {
    Summary.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(Summary || (Summary = {}));
export var GetComplianceSummaryOutput;
(function (GetComplianceSummaryOutput) {
    GetComplianceSummaryOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(GetComplianceSummaryOutput || (GetComplianceSummaryOutput = {}));
export var TagFilter;
(function (TagFilter) {
    TagFilter.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(TagFilter || (TagFilter = {}));
export var GetResourcesInput;
(function (GetResourcesInput) {
    GetResourcesInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(GetResourcesInput || (GetResourcesInput = {}));
export var Tag;
(function (Tag) {
    Tag.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(Tag || (Tag = {}));
export var ResourceTagMapping;
(function (ResourceTagMapping) {
    ResourceTagMapping.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ResourceTagMapping || (ResourceTagMapping = {}));
export var GetResourcesOutput;
(function (GetResourcesOutput) {
    GetResourcesOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(GetResourcesOutput || (GetResourcesOutput = {}));
var PaginationTokenExpiredException = (function (_super) {
    __extends(PaginationTokenExpiredException, _super);
    function PaginationTokenExpiredException(opts) {
        var _this = _super.call(this, __assign({ name: "PaginationTokenExpiredException", $fault: "client" }, opts)) || this;
        _this.name = "PaginationTokenExpiredException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, PaginationTokenExpiredException.prototype);
        _this.Message = opts.Message;
        return _this;
    }
    return PaginationTokenExpiredException;
}(__BaseException));
export { PaginationTokenExpiredException };
export var GetTagKeysInput;
(function (GetTagKeysInput) {
    GetTagKeysInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(GetTagKeysInput || (GetTagKeysInput = {}));
export var GetTagKeysOutput;
(function (GetTagKeysOutput) {
    GetTagKeysOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(GetTagKeysOutput || (GetTagKeysOutput = {}));
export var GetTagValuesInput;
(function (GetTagValuesInput) {
    GetTagValuesInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(GetTagValuesInput || (GetTagValuesInput = {}));
export var GetTagValuesOutput;
(function (GetTagValuesOutput) {
    GetTagValuesOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(GetTagValuesOutput || (GetTagValuesOutput = {}));
export var StartReportCreationInput;
(function (StartReportCreationInput) {
    StartReportCreationInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(StartReportCreationInput || (StartReportCreationInput = {}));
export var StartReportCreationOutput;
(function (StartReportCreationOutput) {
    StartReportCreationOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(StartReportCreationOutput || (StartReportCreationOutput = {}));
export var TagResourcesInput;
(function (TagResourcesInput) {
    TagResourcesInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(TagResourcesInput || (TagResourcesInput = {}));
export var TagResourcesOutput;
(function (TagResourcesOutput) {
    TagResourcesOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(TagResourcesOutput || (TagResourcesOutput = {}));
export var UntagResourcesInput;
(function (UntagResourcesInput) {
    UntagResourcesInput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(UntagResourcesInput || (UntagResourcesInput = {}));
export var UntagResourcesOutput;
(function (UntagResourcesOutput) {
    UntagResourcesOutput.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(UntagResourcesOutput || (UntagResourcesOutput = {}));
